package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState


class EfectoEscalar() : Efecto(100) {
    override fun ejecutar(): String {
        if (GameState.jugador.atributos[Atributo.Energia]!!<2){
            return "No tienes energía suficiente para intentar escapar escalando. Necesitas al menos 2 puntos"
        }else{
            GameState.jugador.actualizarAtributo(Atributo.Energia, -2)
            if ((1..100).random() <= 40){
                GameState.eventoActual.actualizarFinalizado(true)
                return "Logras escalar la montaña de piedras y escapar. El esfuerzo no ha sido en vano"
            }else{
                return "Al escalar la montaña de piedras, sufres un resbalo y vuelves a caer, gastando inútilmente energía"
            }
        }

    }
}