package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import android.graphics.drawable.AnimationDrawable
import android.os.Handler
import android.os.Looper
import android.widget.ImageView
import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context

class EfectoIgnorar(probabilidadExito: Int) : Efecto(probabilidadExito) {
    override fun ejecutar(): String {

        val imagenProtagonista = context!!.findViewById<ImageView>(R.id.imagenProtagonista)

        imagenProtagonista?.setImageResource(R.drawable.protagonista_correr_animation)
        val ataqueAnimation = imagenProtagonista?.drawable as? AnimationDrawable
        ataqueAnimation?.start()

        Handler(Looper.getMainLooper()).postDelayed({
            imagenProtagonista?.setImageResource(R.drawable.protagonista_idle_animation)
            val idleAnimation = imagenProtagonista?.drawable as? AnimationDrawable
            idleAnimation?.start()
        }, 1500)

        GameState.eventoActual.actualizarFinalizado(true)
        return "Ignoras el evento"

    }
}
