package com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo

class EfectoEquipableAumento (private val poder : Int, private val atributo: Atributo) : EfectoObjetoEquipable(){
    override fun ejecutar() {
        if (atributo == Atributo.Vida){
            GameState.jugador.actualizarVidaMax(GameState.jugador.vidaMax+poder)
        }else{
            GameState.jugador.actualizarAtributo(atributo, poder)
        }
    }
    override fun desequipar() {
        if (atributo == Atributo.Vida){
            GameState.jugador.actualizarVidaMax(GameState.jugador.vidaMax-poder)
        }else{
            GameState.jugador.actualizarAtributo(atributo, -poder)
        }
    }
}