package com.example.ellegadodepintia.minijuego1

import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.R

class FinMinijuego1 : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_finminijuego1)

        // Obtener el valor de la puntuación enviada desde la actividad anterior
        val puntuacion = intent.getIntExtra("puntuacion", 0)

        // Referencias a los elementos de la interfaz
        val puntuacionTextView: TextView = findViewById(R.id.puntuacionTextView)
        val tituloTextView: TextView = findViewById(R.id.tituloTextView)
        val botonReiniciar: Button = findViewById(R.id.btnReiniciar)

        // Mostrar la puntuación
        puntuacionTextView.text = "Puntuación: $puntuacion"

        // Acción del botón para reiniciar o volver
        botonReiniciar.setOnClickListener {
            // Regresar a la actividad anterior
            finish()  // Termina esta actividad y vuelve a la anterior
        }
    }
}